/*****************************************************************************
 * $Id: ThreadInfo.java,v 1.2 2001/03/20 06:42:59 jheiss Exp $
 *****************************************************************************
 * Return or display various bits of info about the threads associated with
 * this program.
 *****************************************************************************
 * Copyright (C) 2000-2001  Jason Heiss (jheiss@ofb.net)
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
 *****************************************************************************
 * $Log: ThreadInfo.java,v $
 * Revision 1.2  2001/03/20 06:42:59  jheiss
 * Added copyright and GPL message.
 *
 * Revision 1.1  2001/03/20 06:36:28  jheiss
 * Initial revision
 *
 *****************************************************************************
 */

/* Imports */

public class ThreadInfo
{
	public int numberOfThreads()
	{
		//System.out.println("There are " + Thread.activeCount() + " threads");
		return Thread.activeCount();
	}

	public Thread[] currentThreads()
	{
		Thread[] threadArray = new Thread[numberOfThreads()];
		int numStored = Thread.enumerate(threadArray);
		//System.out.println(numStored +
			//" threads put into array by enumerate");
		return threadArray;
	}

	public void displayThreads()
	{
		Thread[] threadArray = currentThreads();
		//System.out.println("Array has " + threadArray.length + " elements");
		for (int i=0 ; i<threadArray.length ; ++i)
		{
			if (threadArray[i] != null)
			{
				System.err.println("  " + i + ":  " + threadArray[i].getName());
			}
		}
	}
}

